#### Description:

A PolyMap is a form of Mapping which performs a general polynomial transformation. Each output coordinate is a polynomial function of all the input coordinates. The coefficients are specified separately for each output coordinate. The forward and inverse transformations are defined independantly by separate sets of coefficients. If no inverse transformation is supplied, the default behaviour is to use an iterative method to evaluate the inverse based only on the forward transformation (see attribute IterInverse).

#### Constructor Function

astPolyMap

#### Inheritance

The PolyMap class inherits from the Mapping class.

#### Attributes

In addition to those attributes common to all Mappings, every PolyMap also has the following attributes:

- IterInverse: Provide an iterative inverse transformation?

- NiterInverse: Maximum number of iterations for iterative inverse

- TolInverse: Target relative error for iterative inverse

#### Functions

In addition to those functions applicable to all Objects, the following functions may also be applied to all Mappings:

- astPolyCoeffs: Retrieve the coefficients of a PolyMap transformation

- astPolyTran: Fit a PolyMap inverse or forward transformation

Copyright (C) 2021 East Asian Observatory